searchNodes=[{"ref":"SpeechMarkdown.Grammar.html","title":"SpeechMarkdown.Grammar","type":"module","doc":"This is the nimble-parsec grammar for the subset of the Speech Markdown language supported by this library. The parser is tolerant of any string inputs, but poorly-specified constructs will simply be output as string values. Results are returned as an ast containing a list of tagged tokens, like so: iex&gt; parse!(&quot;You say pecan [200ms], I say (pecan)[/pɪˈkɑːn/]&quot;) [ text: &quot;You say pecan &quot;, break: [200, :ms], text: &quot;, I say &quot;, modifier: [&quot;pecan&quot;, {:ipa, &quot;pɪˈkɑːn&quot;}] ]"},{"ref":"SpeechMarkdown.Grammar.html#document/2","title":"SpeechMarkdown.Grammar.document/2","type":"function","doc":"Parses the given binary as document. Returns {:ok, [token], rest, context, position, byte_offset} or {:error, reason, rest, context, line, byte_offset} where position describes the location of the document (start position) as {line, column_on_line}. Options :line - the initial line, defaults to 1 :byte_offset - the initial byte offset, defaults to 0 :context - the initial context value. It will be converted to a map"},{"ref":"SpeechMarkdown.Grammar.html#parse/1","title":"SpeechMarkdown.Grammar.parse/1","type":"function","doc":"parse a speech markdown string into an ast"},{"ref":"SpeechMarkdown.Grammar.html#parse!/1","title":"SpeechMarkdown.Grammar.parse!/1","type":"function","doc":"parse a speech markdown string into an ast"},{"ref":"SpeechMarkdown.Transpiler.html","title":"SpeechMarkdown.Transpiler","type":"module","doc":"The Speech Markdown transpiler converts the markdown text to the Speech Synthesis Markup Language (SSML) format. The results are returned as an SSML string."},{"ref":"SpeechMarkdown.Transpiler.html#transpile/1","title":"SpeechMarkdown.Transpiler.transpile/1","type":"function","doc":"convert a markdown string or ast to ssml text"},{"ref":"SpeechMarkdown.Transpiler.html#transpile!/1","title":"SpeechMarkdown.Transpiler.transpile!/1","type":"function","doc":"convert a markdown string or ast to ssml text"},{"ref":"readme.html","title":"SpeechMarkdown","type":"extras","doc":"SpeechMarkdown Speech Markdown transpiler for Elixir This library converts text in the Speech Markdown format to SSML for processing by Text-To-Speech APIs, etc."},{"ref":"readme.html#status","title":"SpeechMarkdown - Status","type":"extras","doc":"The API reference is available here."},{"ref":"readme.html#installation","title":"SpeechMarkdown - Installation","type":"extras","doc":"def deps do [ {:speechmarkdown, &quot;~&gt; 0.1&quot;} ] end"},{"ref":"readme.html#usage","title":"SpeechMarkdown - Usage","type":"extras","doc":"iex&gt; SpeechMarkdown.Transpiler.transpile!(&quot;You say pecan, I say (pecan)[/pɪˈkɑːn/].&quot;) &lt;?xml version=&quot;1.0&quot;?&gt; &lt;speak&gt;You say pecan, I say &lt;phoneme alphabet=&quot;ipa&quot; ph=&quot;pɪˈkɑːn&quot;&gt;pecan&lt;/phoneme&gt;.&lt;/speak&gt; The following Speech Markdown modifiers are supported: break characters ipa number"},{"ref":"readme.html#license","title":"SpeechMarkdown - License","type":"extras","doc":"Copyright 2020 Spokestack, Inc. Licensed under the Apache License, Version 2.0 (the &quot;License&quot;); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License."}]